package de.ivu.elect.business.internet.boundary;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.internet.entity.InternetSeite;

@GroupedConversationScoped
@ConversationGroup(AbstractInternetWidgetSearchParameters.class)
public class InternetWidgetSearchParameters extends AbstractInternetWidgetSearchParameters {

  private InternetSeite internetSeite;

  public InternetSeite getInternetSeite() {
    return internetSeite;
  }

  public void setInternetSeite(InternetSeite internetSeite) {
    this.internetSeite = internetSeite;
  }

  @Override
  public void reset() {
    super.reset();
    internetSeite = null;
  }
}
